Daestro

Blog Documentation Changelog FAQ Pricing Instances
Login
Blog Documentation Changelog FAQ Pricing Instances
Login
skip to the main content
Getting Started About Cloud Auth Compute Environment Job Queue Container Registry Auth Job Definition Job Compute Spawn Features Cron Jobs Schedule Jobs Cloud Providers Amazon Web Services DigitalOcean Linode / Akamai Vultr Self-hosted Compute Docker API Introduction Create API Key Job Submit Job Detail Cancel Job
Home/Documentation/API/

Job Detail

Table of Contents
  1. Request
  2. Header
  3. Response
  4. Request Samples

Use Job Detail api to check the job state.

Request

GET /v1/client/job/{job_id}

Header

Authorization: Bearer YOUR_API_KEY
Content-Type: application/json

Response

HTTP OK ✅

// Status: 200
{
  "ok": true,
  "data": {
    "id": "01976ead-e3b5-73e3-b26a-71a3fbc756b5",
    "name": "YH-1750243754068",
    "state": "completed",
    "system_note": null,
    "schedule_at": null,
    "created_at": "2025-06-14T13:43:00.008875Z",
    "updated_at": "2025-06-18T07:21:56.081435Z"
  }
}
keytypenullable
idstringno
namestringno
statestringno
created_atstring (RFC 3339)no
system_notestringyes
schedule_atstring (RFC 3339)yes
updated_atstring (RFC 3339)yes

Valid values for state:

[
  "submitted",
  "pending",
  "runnable",
  "starting",
  "running",
  "cancelling",
  "cancelled",
  "timeout",
  "completed",
  "failed",
  "error"
]

Invalid Response ⚠️

// Status: 4XX
{
  "ok": false,
  "message": "error info"
}

Request Samples

Curl

curl -i --request GET \\
  --url https://api.daestro.com/v1/client/job/{job_id} \\
  --header 'authorization: Bearer YOUR_API_KEY' \\
  --header 'content-type: application/json'
Previous

Job Submit

Next

Cancel Job

Daestro © 2026

Contact

hello@daestro.com

Legal
Terms of UsePrivacy Policy
Resources
Blog Documentation FAQ Changelog Instances
Social
X (Twitter)Discord
2026-05-31T20:21:14.941467251+05:30